!TL-SG3210
#
vlan 12,23-26,2005
#
vlan 12
name "P2P sw1"
#
vlan 23
name "P2P sw3"
#
vlan 24
name "P2P sw4"
#
vlan 25
name "P2P sw5"
#
vlan 26
name "P2P sw6"
#
vlan 2005
name "Management"
#
# [...]
#
hostname "MSTP-sw2"
#
# [...]
#
spanning-tree
spanning-tree mode mstp
spanning-tree mst configuration
name MSTP
instance 1 vlan 2005,
instance 2 vlan 12-13,15,24,26,
instance 3 vlan 14,23,34-35,46,
instance 4 vlan 16,25,36,45,56,
exit
#
# [...]
#
interface gigabitEthernet 1/0/1
  switchport mode trunk
  switchport trunk allowed vlan 12,2005
  
  spanning-tree
  spanning-tree mst instance 2 port-priority 128 cost 1000
  
#
interface gigabitEthernet 1/0/2
  switchport mode trunk
  switchport trunk allowed vlan 2005
  description "uplink"
  
  spanning-tree
  
#
interface gigabitEthernet 1/0/3
  switchport mode trunk
  switchport trunk allowed vlan 23,2005
  
  spanning-tree
  spanning-tree mst instance 3 port-priority 128 cost 1000
  
#
interface gigabitEthernet 1/0/4
  switchport mode trunk
  switchport trunk allowed vlan 24,2005
  
  spanning-tree
  spanning-tree mst instance 2 port-priority 128 cost 1000
  
#
interface gigabitEthernet 1/0/5
  switchport mode trunk
  switchport trunk allowed vlan 25,2005
  
  spanning-tree
  spanning-tree mst instance 4 port-priority 128 cost 1000
  
#
interface gigabitEthernet 1/0/6
  switchport mode trunk
  switchport trunk allowed vlan 26,2005
  
  spanning-tree
  spanning-tree mst instance 2 port-priority 128 cost 1000
  
#
# [...]
#
interface gigabitEthernet 1/0/8
  switchport mode trunk
  switchport trunk allowed vlan 12,23-26,2005
  
  spanning-tree
  
#
ip management-vlan 2005
interface vlan 2005
ip address 172.24.2.1 255.255.0.0
#
end
